Bug 165533 - Review Request: perl-Unix-Statgrab - Perl extension for collecting information about the machine
Review Request: perl-Unix-Statgrab - Perl extension for collecting informatio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
http://filelister.linux-kernel.at/mod...
:
: 165532 165685 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-10 05:35 EDT by Oliver Falk
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-23 07:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated SRPM addressing review issues (37.14 KB, application/octet-stream)
2005-08-23 06:52 EDT, Paul Howarth
no flags Details

  None (edit)
Description Oliver Falk 2005-08-10 05:35:31 EDT
Spec: perl-Unix-Statgrab.spec
SRPM Url: perl-Unix-Statgrab-0.03-3.src.rpm

Description:
Unix::Statgrab is a wrapper for libstatgrab as available from
<http://www.i-scream.org/libstatgrab/>. It is a reasonably portable attempt
to query interesting stats about your computer. It covers information on the
operating system, CPU, memory usage, network interfaces, hard-disks etc. 

Each of the provided functions follow a simple rule: It never takes any
argument and returns either an object (in case of success) or "undef". In
case "undef" was returned, check the return value of "get_error". Also
see "ERROR HANDLING" further below.
Comment 1 David Lawrence 2005-08-10 11:21:17 EDT
*** Bug 165532 has been marked as a duplicate of this bug. ***
Comment 3 Matthias Saou 2005-08-19 05:37:01 EDT
*** Bug 165685 has been marked as a duplicate of this bug. ***
Comment 4 Paul Howarth 2005-08-23 06:52:11 EDT
Created attachment 117996 [details]
Updated SRPM addressing review issues

Review:

- rpmlint clean
- package and specfile naming OK
- package meets guidelines
- license is LGPL
- specfile written in English and is reasonably legible
- sources match upstream
- package builds OK on FC4 and in mock for rawhide (i386)
- no libraries, subpackages, locales, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage reasonably consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- BR: perl is redundant
- Add BR: perl(Test::Pod), perl(Test::Pod::Coverage) to improve test coverage
- Not much point having `Also see "ERROR HANDLING" further below' as the last
  sentence of %description; I'd suggest dispensing with the second paragraph
  entirely
- Current files list results in "file listed twice" warnings at build time
- License is LGPL, not Artistic
- License text not included in package; I'd suggest adding Source1 as
  http://www.fsf.org/licensing/licenses/lgpl.txt, append
  "%{__cp} -p %{SOURCE1} LGPL" to %setup and adding LGPL as %doc

Nitpick:

- "|| :" after %check is redundant
- Use of "pkgname" macro is detrimental to readability
- Inconsistent indentation of tags (at least with tabs set to 8)
- URL of http://search.cpan.org is rather generic; I'd suggest
  http://search.cpan.org/dist/Unix-Statgrab/ instead
- I suggest adding Changes and README as %doc

Attached SRPM addresses all of these issues. If you're OK with these changes,
I'll approve the package.
Comment 5 Oliver Falk 2005-08-23 07:37:17 EDT
If integrated everything, but renamed LGPL to LICENSE.txt. Will import this in a
sec... Thanks for your review.
Comment 6 Christian Iseli 2007-01-02 18:13:14 EST
Changed summary for tracking purposes.

Note You need to log in before you can comment on or make changes to this bug.